import { UiUI } from '@teambit/ui';
import { MessageLevel, NotificationsStore } from '@teambit/ui-foundation.ui.notifications.store';
/**
 * extension
 */
export default class NotificationUI implements NotificationsStore {
    static dependencies: import("@teambit/harmony").Aspect[];
    static runtime: import("@teambit/harmony").RuntimeDefinition;
    static provider([uiRuntimeExtension]: [UiUI]): Promise<NotificationUI>;
    constructor(uiRuntimeExtension: UiUI);
    private dispatch?;
    /** adds a full message to the log */
    add: (message: string, level: MessageLevel) => string;
    /** removes/archives a message from the log */
    dismiss(id: string): void;
    /** adds a message with level "info" to the log */
    log: (message: string) => string;
    /** adds a message with level "warning" to the log */
    warn: (message: string) => string;
    /** adds a message with level "error" to the log */
    error: (message: string) => string;
    /** adds a message with level "success" to the log */
    success: (message: string) => string;
    /** removes all notifications */
    clear: () => void;
    private render;
    private renderContext;
}
